# -*- coding: utf-8 -*-
from south.utils import datetime_utils as datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'MarkovContext'
        db.create_table(u'markov_markovcontext', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=32)),
        ))
        db.send_create_signal(u'markov', ['MarkovContext'])

        # Adding model 'MarkovTarget'
        db.create_table(u'markov_markovtarget', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('target', self.gf('django.db.models.fields.CharField')(max_length=64)),
            ('context', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['markov.MarkovContext'])),
            ('chatter_chance', self.gf('django.db.models.fields.IntegerField')(default=0)),
        ))
        db.send_create_signal(u'markov', ['MarkovTarget'])

        # Adding model 'MarkovState'
        db.create_table(u'markov_markovstate', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('k1', self.gf('django.db.models.fields.CharField')(max_length=128)),
            ('k2', self.gf('django.db.models.fields.CharField')(max_length=128)),
            ('v', self.gf('django.db.models.fields.CharField')(max_length=128)),
            ('count', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('context', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['markov.MarkovContext'])),
        ))
        db.send_create_signal(u'markov', ['MarkovState'])

        # Adding unique constraint on 'MarkovState', fields ['context', 'k1', 'k2', 'v']
        db.create_unique(u'markov_markovstate', ['context_id', 'k1', 'k2', 'v'])


    def backwards(self, orm):
        # Removing unique constraint on 'MarkovState', fields ['context', 'k1', 'k2', 'v']
        db.delete_unique(u'markov_markovstate', ['context_id', 'k1', 'k2', 'v'])

        # Deleting model 'MarkovContext'
        db.delete_table(u'markov_markovcontext')

        # Deleting model 'MarkovTarget'
        db.delete_table(u'markov_markovtarget')

        # Deleting model 'MarkovState'
        db.delete_table(u'markov_markovstate')


    models = {
        u'markov.markovcontext': {
            'Meta': {'object_name': 'MarkovContext'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '32'})
        },
        u'markov.markovstate': {
            'Meta': {'unique_together': "(('context', 'k1', 'k2', 'v'),)", 'object_name': 'MarkovState'},
            'context': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['markov.MarkovContext']"}),
            'count': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'k1': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'k2': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'v': ('django.db.models.fields.CharField', [], {'max_length': '128'})
        },
        u'markov.markovtarget': {
            'Meta': {'object_name': 'MarkovTarget'},
            'chatter_chance': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'context': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['markov.MarkovContext']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'target': ('django.db.models.fields.CharField', [], {'max_length': '64'})
        }
    }

    complete_apps = ['markov']